livecd: remaster/livecd_create (NEW), remaster/livecd_symlinks (RE...
havner
havner at pld-linux.org
Fri Jan 27 01:12:35 CET 2006
Author: havner Date: Fri Jan 27 00:12:35 2006 GMT
Module: livecd Tag: HEAD
---- Log message:
- livecd_symlinks renamed to livecd_create, this will be a part of a
bigger script to make a livecd from sratch, no need to create separate
script only for symlinks
---- Files affected:
livecd/remaster:
livecd_create (NONE -> 1.1) (NEW), livecd_symlinks (1.8 -> NONE) (REMOVED)
---- Diffs:
================================================================
Index: livecd/remaster/livecd_create
diff -u /dev/null livecd/remaster/livecd_create:1.1
--- /dev/null Fri Jan 27 01:12:35 2006
+++ livecd/remaster/livecd_create Fri Jan 27 01:12:30 2006
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Lukasz Pawelczyk <havner at pld-linux.org> 2004
+# $Id$
+# NFY
+
+. /etc/rc.d/init.d/functions-live
+
+if [ -n "$HOME_ETC" -a -f "$HOME_ETC/.livecd_remaster" ]; then
+ . "$HOME_ETC/.livecd_remaster"
+elif [ -f ~/.livecd_remaster ]; then
+ . ~/.livecd_remaster
+else
+ echo "no config file"
+ exit 1
+fi
+
+cd $ROOTFS
+
+for I in $SYMLINKS; do
+# echo $I
+ if [ -e ".$I" ] && [ ! -h ".$I" ] && [ ! -f "live$I" ]; then
+ mkdir -p "live`dirname $I`"
+ mv ".$I" "live`dirname $I`"
+ ln -s "../live$I" ".$I"
+ fi
+done
================================================================
More information about the pld-cvs-commit
mailing list